version: '3.8'

services:
  neo4j:
    image: neo4j:community
    container_name: vg_neo4j
    restart: always
    ports:
      - "7474:7474"
      - "7687:7687"
    environment:
      - NEO4J_AUTH=neo4j/vgcreative2025
    volumes:
      - neo4j_data:/data

  web_app:
    build: .
    container_name: vg_app
    restart: always
    ports:
      - "8501:8501"
    environment:
      - GOOGLE_API_KEY=AIzaSyD_YoJFNeV-83ieqNKJQU8xlwfDT9lUh0s
    depends_on:
      - neo4j

volumes:
  neo4j_data: